package org.hso.texturesyncclient.view.mainView

import javafx.geometry.Insets
import javafx.geometry.Orientation
import javafx.scene.image.Image
import javafx.scene.layout.Background
import javafx.scene.layout.BackgroundFill
import javafx.scene.layout.CornerRadii
import javafx.scene.paint.Paint
import tornadofx.*

class DetailView: View() {

    val preview = Preview3D()

    init {
        // set a default texture
        preview.setTexture(Image("textures/sample_texture.jpg"))
    }

    override val root = form {
        minWidth = 250.0
        background = Background(BackgroundFill(Paint.valueOf("#9f9f9f"), CornerRadii.EMPTY, Insets.EMPTY))

        fieldset("DetailView", labelPosition = Orientation.VERTICAL) {

            field("3D Preview") {
                vbox(7) {
                    add(preview)
                }
            }

            field("Text input") {

            }

            field("Tags") {

            }
        }

    }
}